# SCRIPT TO CONVERT WEBDATA PRO versions 1.52 and below to version 1.6.0
# 2 significant structural changes were made in version 1.6.0
# First, the instantmembers settings were moved from the _preferences table
# to their own table so that we may have an unlimited number of instantmember types.
#
# Second, the labels for the 10 optional member fields (user1..user10) were moved
# from the _preferences table into the _members table so that each member or 
# group of members may have their own set of labels for those fields.

INSERT INTO _instantmembers SELECT 1,"Instant Member #1",instantMemberGroup,instant_member_referers,instant_member_welcome,NULL FROM _preferences LIMIT 1;

INSERT INTO _instantmembers SELECT 2,"Instant Member #2",im2group,im2referers,im2welcome,NULL FROM _preferences LIMIT 1;


UPDATE _members,_preferences SET _members.user1_label=_preferences.user1;
UPDATE _members,_preferences SET _members.user2_label=_preferences.user2;
UPDATE _members,_preferences SET _members.user3_label=_preferences.user3;
UPDATE _members,_preferences SET _members.user4_label=_preferences.user4;
UPDATE _members,_preferences SET _members.user5_label=_preferences.user5;
UPDATE _members,_preferences SET _members.user6_label=_preferences.user6;
UPDATE _members,_preferences SET _members.user7_label=_preferences.user7;
UPDATE _members,_preferences SET _members.user8_label=_preferences.user8;
UPDATE _members,_preferences SET _members.user9_label=_preferences.user9;
UPDATE _members,_preferences SET _members.user1-_label=_preferences.user10;

ALTER TABLE _preferences DROP allow_instant_member;
ALTER TABLE _preferences DROP instantMemberGroup;
ALTER TABLE _preferences DROP instant_member_referers;
ALTER TABLE _preferences DROP instant_member_welcome;
ALTER TABLE _preferences DROP im2group;
ALTER TABLE _preferences DROP im2referers;
ALTER TABLE _preferences DROP im2welcome;
ALTER TABLE _preferences DROP user1;
ALTER TABLE _preferences DROP user2;
ALTER TABLE _preferences DROP user3;
ALTER TABLE _preferences DROP user4;
ALTER TABLE _preferences DROP user5;
ALTER TABLE _preferences DROP user6;
ALTER TABLE _preferences DROP user7;
ALTER TABLE _preferences DROP user8;
ALTER TABLE _preferences DROP user9;
ALTER TABLE _preferences DROP user10;
